<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RentacarAvail StructType
 * @subpackage Structs
 */
class RentacarAvail extends AbstractStructBase
{
    /**
     * The RentacarAvailRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_RentacarAvail
     */
    public $RentacarAvailRQ;
    /**
     * Constructor method for RentacarAvail
     * @uses RentacarAvail::setRentacarAvailRQ()
     * @param \StructType\JP_RentacarAvail $rentacarAvailRQ
     */
    public function __construct(\StructType\JP_RentacarAvail $rentacarAvailRQ = null)
    {
        $this
            ->setRentacarAvailRQ($rentacarAvailRQ);
    }
    /**
     * Get RentacarAvailRQ value
     * @return \StructType\JP_RentacarAvail|null
     */
    public function getRentacarAvailRQ()
    {
        return $this->RentacarAvailRQ;
    }
    /**
     * Set RentacarAvailRQ value
     * @param \StructType\JP_RentacarAvail $rentacarAvailRQ
     * @return \StructType\RentacarAvail
     */
    public function setRentacarAvailRQ(\StructType\JP_RentacarAvail $rentacarAvailRQ = null)
    {
        $this->RentacarAvailRQ = $rentacarAvailRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\RentacarAvail
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
